liblua5.3-0_5.3.3-1.1_amd64.deb


Advertisement

Description

liblua5.3-0 - Shared library for the Lua interpreter version 5.3

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename liblua5.3-0_5.3.3-1.1_amd64.deb
Package name liblua5.3-0
Package version 5.3.3
Package release 1.1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://www.lua.org
License -
Maintainer Enrico Tassi <gareuselesinge@debian.org>
Download size 116.73 KB
Installed size 475.00 KB
Lua is a powerful, light-weight programming language designed for extending
applications.  The language engine is accessible as a library, having a C
API which allows the application to exchange data with Lua programs and also
to extend Lua with C functions.  Lua is also used as a general-purpose,
stand-alone language through the simple command line interpreter provided.
This package contains runtime libraries.  You shouldn't need to install it
explicitly.

Alternatives

Package Version Architecture Repository
liblua5.3-0_5.3.3-1.1_i386.deb 5.3.3 i386 Debian Main
liblua5.3-0 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 4.1.1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblua5.3-0_5.3.3-1.1_amd64.deb
Source Package lua5.3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblua5.3-0 deb package:
    # sudo apt-get install liblua5.3-0

Files

Path
/usr/lib/x86_64-linux-gnu/liblua5.3-c++.so.0
/usr/lib/x86_64-linux-gnu/liblua5.3-c++.so.0.0.0
/usr/lib/x86_64-linux-gnu/liblua5.3.so.0
/usr/lib/x86_64-linux-gnu/liblua5.3.so.0.0.0
/usr/share/doc/liblua5.3-0/changelog.Debian.gz
/usr/share/doc/liblua5.3-0/copyright

Changelog

2018-12-28 - Dima Kogan <dkogan@debian.org>
lua5.3 (5.3.3-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Vcs-... tags point to salsa
* lua5.3 now uses the alternatives system to manage /usr/bin/lua and
/usr/bin/luac (Closes: #863036)
2016-12-19 - Ondřej Surý <ondrej@debian.org>
lua5.3 (5.3.3-1) unstable; urgency=medium
* Imported Upstream version 5.3.3
* Rebase patches on top of Lua 5.3.3 release
* Update Vcs-* links
* Add myself to Uploaders
* Update Debian policy version (no change)
* Add patch to fix several invalid pointer conversions
2016-07-31 - Aurelien Jarno <aurel32@debian.org>
lua5.3 (5.3.1-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Export _IO_stdin_used in debian/version-script (see #816059).
2015-03-01 - Enrico Tassi <gareuselesinge@debian.org>
lua5.3 (5.3.1-1) unstable; urgency=medium
* Initial release. (Closes: #775565)

See Also

Package Description
liblua5.3-dev_5.3.3-1.1_amd64.deb Development files for the Lua language version 5.3
liblua50-dev_5.0.3-8+b1_amd64.deb Main interpreter library for Lua 5.0: static library and headers
liblua50_5.0.3-8+b1_amd64.deb Main interpreter library for the Lua 5.0 programming language
libluabind-dev_0.9.1+dfsg-11_amd64.deb luabind c++ binding for lua: static library and headers
libluabind-doc_0.9.1+dfsg-11_all.deb luabind c++ binding for lua: documentation files
libluabind-examples_0.9.1+dfsg-11_all.deb luabind c++ binding for lua: example files
libluabind0.9.1v5_0.9.1+dfsg-11_amd64.deb luabind c++ binding for lua: runtime library
libluajit-5.1-2_2.1.0~beta3+dfsg-5.1_amd64.deb Just in time compiler for Lua - library version
libluajit-5.1-common_2.1.0~beta3+dfsg-5.1_all.deb Just in time compiler for Lua - common files
libluajit-5.1-dev_2.1.0~beta3+dfsg-5.1_amd64.deb Just in time compiler for Lua - development files
liblualib50-dev_5.0.3-8+b1_amd64.deb Extension library for Lua 5.0: static and headers
liblualib50_5.0.3-8+b1_amd64.deb Extension library for the Lua 5.0 programming language
liblucene++-contrib0v5_3.0.7-10+b1_amd64.deb Shared library with Lucene++ contributions
liblucene++-dev_3.0.7-10+b1_amd64.deb Development files for Lucene++
liblucene++-doc_3.0.7-10_all.deb Reference manual for Lucene++
Advertisement
Advertisement